using System;
using System.Collections.Generic;
using System.Web;

namespace digioz
{
    public class TopMenu
    {
        private int ciID;
        private int ciParentID;
        private string csName;
        private string csActionType;
        private string csActionData;
        private int ciPermissionID;

        public int ID
        {
            get { return ciID; }
            set { ciID = value; }
        }

        public int ParentID
        {
            get { return ciParentID; }
            set { ciParentID = value; }
        }

        public string Name
        {
            get { return csName; }
            set { csName = value; }
        }

        public string ActionType
        {
            get { return csActionType; }
            set { csActionType = value; }
        }

        public string ActionData
        {
            get { return csActionData; }
            set { csActionData = value; }
        }

        public int PermissionID
        {
            get { return ciPermissionID; }
            set { ciPermissionID = value; }
        }

        public TopMenu() { }

        public TopMenu(int piID, int piParentID, string psName, string psActionType,
            string psActionData, int piPermissionID)
        {
            ciID = piID;
            ciParentID = piParentID;
            csName = psName;
            csActionType = psActionType;
            csActionData = psActionData;
            ciPermissionID = piPermissionID;
        }
    }
}